<?php

/**
 * Freemius
 */
namespace HulkPlugins\ElementorPro\Forms\AdvancedFields;

use Freemius_Exception;
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
if ( !function_exists( '\\HulkPlugins\\ElementorPro\\Forms\\AdvancedFields\\hulk_affef_fs' ) ) {
    // Create a helper function for easy SDK access.
    function hulk_affef_fs() {
        global $hulk_affef_fs;
        if ( !isset( $hulk_affef_fs ) ) {
            // Manually include the Freemius SDK (not needed if using Composer).
            require_once plugin_dir_path( __FILE__ ) . '/vendor/freemius/wordpress-sdk/start.php';
            try {
                $hulk_affef_fs = fs_dynamic_init( [
                    'id'               => '17260',
                    'slug'             => 'advanced-fields-for-elementor-forms',
                    'type'             => 'plugin',
                    'public_key'       => 'pk_63ba403fd3e4bfc3c8b9e3f7146a7',
                    'is_premium'       => false,
                    'premium_suffix'   => 'Professional',
                    'has_addons'       => false,
                    'has_paid_plans'   => true,
                    'is_org_compliant' => true,
                    'trial'            => [
                        'days'               => 3,
                        'is_require_payment' => false,
                    ],
                    'has_affiliation'  => 'all',
                    'menu'             => [
                        'slug'       => 'advanced-fields-for-elementor-forms-settings',
                        'first-path' => 'admin.php?page=advanced-fields-for-elementor-forms-settings',
                        'parent'     => [
                            'slug' => 'elementor-home',
                        ],
                    ],
                    'is_live'          => true,
                ] );
            } catch ( Freemius_Exception $e ) {
                wp_die( 'Freemius Exception: ' . esc_html( $e->getMessage() ) );
            }
        }
        return $hulk_affef_fs;
    }

    // Init Freemius.
    hulk_affef_fs();
    // Signal that SDK was initiated.
    do_action( 'hulk_affef_fs_loaded' );
}